Subject: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 27 Feb 2013 21:43:09 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 27 Feb 2013 11:32:34 +0100
>> 
>> Regarding emacs-24 (Emacs 24.2.93), I'm using it since yesterday morning. It
>> more or less causes me problems after a couple of hours.
>> 
>> The last symptom, now, was when trying to send an email via Gnus (or should I
>> say Message?). Emacs seemed inflooping, but still stopped and displayed me
>> this after a while (one minute or so -- subjective appreciation):
>> 
>> --8<---------------cut here---------------start------------->8---
>> Emergency (alloc): Warning: past 95% of memory limit
>> Memory exhausted--use C-x s then exit and restart Emacs
>> --8<---------------cut here---------------end--------------->8---
>
> Please post here all the symptoms, not just the last one.

Unfortunately, I don't have other symptoms to share with you. Except if you
tell me to look for some data when attaching GDB to the sick process.

> We don't have much time till the next pretest (which is planned to be a
> release candidate), so we must be very efficient in our communications if we
> want any chance of solving this before Emacs 24.3 is released.

I understand, but I don't see what I can add in this case.

> Do you still maintain that pretest 24.2.91 worked fine on this same
> machine with the same setup?

Yes, I do. During a few days, I went back on 24.2.91, and did not see anything
wrong with it.

> If so, then I'm almost at the end of my wits wrt your problems. I have
> reviewed all the Windows specific changes introduced between 24.2.91 and
> today, and found only one that could be even remotely relevant. I have now
> reverted that one change (revision 111303 on the emacs-24 branch), so please
> see if the next binary behaves better.

I just see there are 2 new binaries built by Dani:

- emacs-24-r111300-20130225-w32-i386.zip (58.94 MB), 9 hrs ago
- emacs-trunk-r111884-20130226-w32-i386.zip (59.41 MB), 7 hrs ago

Damn, your change is not there. IIUC, the next build done by Dani will be in a
week or so...

> If not, I will have to give up on these problems until someone more talented
> shows us the light. Sorry.

I'm still totally convinced you're that one person!

Best regards,
  Seb

-- 
Sebastien Vauban